dune-format-dune-file(1)

NAME

dune-format-dune-file - Format dune files

SYNOPSIS

dune format-dune-file [OPTION]... [FILE]

DESCRIPTION

dune format-dune-file reads a dune file and outputs a formatted version. This is a low-level command, meant to implement editor support for example. To reformat a dune project, see the "Automatic formatting" section in the manual.

ARGUMENTS

FILE
    Path to the dune file to parse.

OPTIONS

--help[=FMT] (default=auto)
    Show this help in format FMT. The value FMT must be one of `auto', `pager', `groff' or `plain'. With `auto', the format is `pager` or `plain' whenever the TERM env var is `dumb' or undefined.

--version
    Show version information.